---
colors:
  lavender: 0xB194C1

themes:
  name: mermaid
  dark:
    colors:
      background: 0x15282A
      header: 0x15282A
      userBubble: 0x1d5754
      peerBubble: 0x253D3F
      font: 0xEDFAFC
      settings: 0xEDFAFC
      accent: 0x8E64A5
      reaction: 0x8E64A5
    theme:
      backgroundHilightElementColor: peerBubble
      hilightElementColor: font
      backgroundMainColor: background  # darkGreyPurple
      backgroundPaneColor: header  # darkGreyPurple
      defaultButtonColor: accent  # hotPink
      dropShadowColor: lavender
      mainTextColor: font  # whiteishPurple
      messageFromMeBackgroundColor: userBubble  # mauvePurple
      messageFromMeTextColor: font  # whiteishPurple
      messageFromOtherBackgroundColor: peerBubble  # deepPurple
      messageFromOtherTextColor: font  # whiteishPurple
      portraitOfflineBorderColor: userBubble
      portraitOnlineBorderColor: font
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0xffffff
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: 0xffffff
      portraitBackgroundColor: background
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: userBubble
      textfieldHintColor: mainTextColor
      toolbarIconColor: settings  # whiteishPurple
      topbarColor: header  # darkGreyPurple
      toolbarBackgroundColor: peerBubble
      sendHintTextColor: userBubble
      chatReactionIconColor: reaction
      chatImage: Mermaid.png
      chatImageColor: peerBubble
      snackbarBackgroundColor: accent
      snackbarTextColor: 0xEDFAFC
      messageSelectionColor: accent
      textfieldSelectionColor: accent
      menuBackgroundColor: accent
  light:
    colors:
      background: 0xEDFAFC
      header: 0x71C1BF
      userBubble: 0x71C1BF
      peerBubble: 0xD2EFF3
      font: 0x15282A
      settings: 0x15282A
      accent: 0x8E64A5
      reaction: 0x71C1BF
    theme:
      backgroundHilightElementColor: peerBubble
      hilightElementColor: font
      backgroundMainColor: background  # whitePurple
      backgroundPaneColor: background  # whitePurple
      defaultButtonColor: accent  # hotPink
      dropShadowColor: peerBubble
      mainTextColor: settings
      messageFromMeBackgroundColor: userBubble  # brightPurple
      messageFromMeTextColor: font  # mainTextColor
      messageFromOtherBackgroundColor: peerBubble  # purple
      messageFromOtherTextColor: font  # darkPurple
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0xffffff
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: 0xffffff
      portraitOfflineBorderColor: userBubble
      portraitOnlineBorderColor: font
      portraitBackgroundColor: background
      scrollbarDefaultColor: accent
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: userBubble
      textfieldHintColor: font
      toolbarIconColor: 0xffffff
      toolbarBackgroundColor: accent
      topbarColor: header  # softPurple
      sendHintTextColor: userBubble
      chatReactionIconColor: reaction
      chatImage: Mermaid.png
      chatImageColor: peerBubble
      snackbarBackgroundColor: accent
      snackbarTextColor: background
      messageSelectionColor: 0xb1e3ea
      textfieldSelectionColor: 0xb1e3ea
      menuBackgroundColor: 0xb1e3ea
